docs

Update a webhook endpoint

Updates a webhook endpoint. You can update the URL, description, enabled events, status, or metadata.

PATCH
/webhook-endpoints/{id}

Updates a webhook endpoint. You can update the URL, description, enabled events, status, or metadata.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Path Parameters

id*string

Webhook endpoint ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/webhook-endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "webhook_endpoint",  "url": "string",  "description": "string",  "status": "enabled",  "enabledEvents": [    "string"  ],  "livemode": true,  "metadata": {    "property1": null,    "property2": null  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}